LibreOffice: AutoTextGroup Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
AutoTextGroup Service Referencepublished

provides access to text blocks in a group. More...

Inheritance diagram for AutoTextGroup:

## Exported Interfaces
interface | com::sun::star::text::XAutoTextGroup
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XNamed
| provides access to the name of the group.

## Public Attributes
string | FilePath
| The path to the file containing the AutoTextEntry's in this group.
string | Title
| The title of this AutoTextGroup.

## Additional Inherited Members
Public Member Functions inherited from XAutoTextGroup
sequence< string > | getTitles ()
| returns the titles of all autotext entries.
void | renameByName ([in] string aElementName, [in] string aNewElementName, [in] string aNewElementTitle) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::io::IOException )
| renames an entry in the autotext group.
com::sun::star::text::XAutoTextEntry | insertNewByName ([in] string aName, [in] string aTitle, [in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::container::ElementExistException )
| creates a new AutoTextEntry entry.
void | removeByName ([in] string aEntryName) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified autotext entry.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object.

## Detailed Description

provides access to text blocks in a group.

See also
  com::sun::star::text::AutoTextContainer

Developers Guide
  Text Documents - Auto Text

## Exported Interfaces

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides access to the name of the group.

## ◆ com::sun::star::text::XAutoTextGroup

interface com::sun::star::text::XAutoTextGroup

## Member Data Documentation

## ◆ FilePath

string FilePath
| propertyreadonly

The path to the file containing the AutoTextEntry's in this group.

## ◆ Title

string Title
| property

The title of this AutoTextGroup.

The documentation for this service was generated from the following file:

- com/sun/star/text/AutoTextGroup.idl